## plyvel 1.2.0

=== Makefile ===
.PHONY: all cython ext doc clean test docker-build-env release

all: cython ext

cython:
	cython --version
	cython --cplus --fast-fail --annotate plyvel/_plyvel.pyx

ext: cython
	python setup.py build_ext --inplace --force

doc:
	python setup.py build_sphinx
	@echo
	@echo Generated documentation: "file://"$$(readlink -f doc/build/html/index.html)
	@echo

clean:
	python setup.py clean
	$(RM) plyvel/_plyvel.cpp plyvel/_plyvel*.so
	$(RM) -r testdb/
	$(RM) -r doc/build/
	$(RM) -r plyvel.egg-info/
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -delete

test: ext
	pytest

docker-build-env:
	docker build -t plyvel-build .

release: docker-build-env
	CIBW_BUILD='*-manylinux1_x86_64' \
	CIBW_MANYLINUX1_X86_64_IMAGE=plyvel-build \
	CIBW_BEFORE_BUILD=scripts/cibuildwheel-before-build.sh \
	CIBW_PLATFORM=linux \
	cibuildwheel --output-dir dist

=== debian/changelog ===
plyvel (1.2.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:19 +0100

plyvel (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Jan 2020 16:59:34 +0000

plyvel (1.1.0-2) unstable; urgency=medium

  * Upload to Sid.
  * Update Python packaging bits.
  * Add watch file.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Nov 2019 17:14:43 +0000

plyvel (1.1.0-1) experimental; urgency=medium

  * Initial release (closes: #935155).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Aug 2019 08:54:31 +0000

=== debian/control ===
Source: plyvel
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, libleveldb-dev, python3-all-dev, cython3, python3-setuptools, python3-pytest, python3-pytest-cov
Standards-Version: 4.5.0
Homepage: https://plyvel.readthedocs.io/en/latest/

Package: python3-plyvel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: fast and feature-rich Python interface to LevelDB
 Wraps most of the LevelDB C++ API and adds some features of its own. In
 addition to basic features like getting, putting and deleting data, Plyvel
 allows you to use write batches, database snapshots, very flexible iterators,
 prefixed databases, bloom filters, custom cache sizes, custom comparators,
 and other goodness LevelDB has to offer.

## plyvel 1.3.0

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,9 @@
 	docker build -t plyvel-build .
 
 release: docker-build-env
-	CIBW_BUILD='*-manylinux1_x86_64' \
-	CIBW_MANYLINUX1_X86_64_IMAGE=plyvel-build \
+	CIBW_BUILD='cp3*-manylinux_x86_64' \
+	CIBW_SKIP='cp35-manylinux_x86_64' \
+	CIBW_MANYLINUX_X86_64_IMAGE=plyvel-build \
 	CIBW_BEFORE_BUILD=scripts/cibuildwheel-before-build.sh \
 	CIBW_PLATFORM=linux \
 	cibuildwheel --output-dir dist

=== debian/changelog ===
plyvel (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Oct 2020 19:36:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = plyvel

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r $(CURDIR)/.pytest_cache/

override_dh_auto_build:
	$(MAKE) cython
	dh_auto_build

%:
	dh $@ --with python3 --buildsystem pybuild

.PHONY: override_dh_auto_clean override_dh_auto_build

=== debian/watch ===
version=4
opts=uversionmangle=s/^(\d)_?(\d)_?(\d)$/$1.$2.$3/;s/^(\d)_?(\d)$/$1.$2/ \
https://github.com/wbolster/plyvel/releases .*/V?(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

## plyvel 1.4.0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,6 @@
 
 release: docker-build-env
 	CIBW_BUILD='cp3*-manylinux_x86_64' \
-	CIBW_SKIP='cp35-manylinux_x86_64' \
 	CIBW_MANYLINUX_X86_64_IMAGE=plyvel-build \
 	CIBW_BEFORE_BUILD=scripts/cibuildwheel-before-build.sh \
 	CIBW_PLATFORM=linux \

=== debian/changelog ===
plyvel (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 May 2022 17:21:36 +0200

plyvel (1.3.0-2) unstable; urgency=medium

  * Update packaging bits.
  * Add watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Dec 2021 14:50:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, libleveldb-dev, python3-all-dev, cython3, python3-setuptools, python3-pytest, python3-pytest-cov
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-python, libleveldb-dev, python3-all-dev, cython3, python3-setuptools, python3-pytest, python3-pytest-cov
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://plyvel.readthedocs.io/en/latest/
 
 Package: python3-plyvel
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: fast and feature-rich Python interface to LevelDB
  Wraps most of the LevelDB C++ API and adds some features of its own. In

## plyvel 1.5.0

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 release: docker-build-env
 	CIBW_BUILD='cp3*-manylinux_x86_64' \
+	CIBW_SKIP='cp36-manylinux_x86_64' \
 	CIBW_MANYLINUX_X86_64_IMAGE=plyvel-build \
 	CIBW_BEFORE_BUILD=scripts/cibuildwheel-before-build.sh \
 	CIBW_PLATFORM=linux \

=== debian/changelog ===
plyvel (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Nov 2022 18:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, libleveldb-dev, python3-all-dev, cython3, python3-setuptools, python3-pytest, python3-pytest-cov
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://plyvel.readthedocs.io/en/latest/

## plyvel 1.5.1

=== debian/changelog ===
plyvel (1.5.1-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:22:24 +0000

plyvel (1.5.1-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:50:34 +0000

plyvel (1.5.1-1build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:15 +0100

plyvel (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:20:38 +0000

plyvel (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jan 2024 18:49:58 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/wbolster/plyvel/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@
